<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

	public function up()
	{
		Schema::create('users', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->string('name', 191)->nullable();
			$table->string('email', 191)->unique()->nullable();
			$table->string('mobile', 191)->unique()->nullable();
			$table->string('password', 191)->nullable();
			$table->string('image', 191)->nullable();
			$table->string('lat', 191)->nullable();
			$table->string('lng', 191)->nullable();
			$table->enum('status', array('active', 'not_active'))->nullable();
			$table->enum('type', array('user', 'admin'))->nullable();
			$table->enum('verified', array('true', 'false'))->nullable();
			$table->string('code', 191)->nullable();
		});
	}

	public function down()
	{
		Schema::drop('users');
	}
}